Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Interface IcapResponse

All Superinterfaces:
  IcapMessage

All Known Implementing Classes:
  DefaultIcapResponse

    public interface IcapResponse

extends IcapMessage

ICAP response.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)
See Also:
  `IcapMessage`, `DefaultIcapResponse`

Method Summary
`org.jboss.netty.buffer.ChannelBuffer` | `getContent()` Gets an OPTIONS body if present
`IcapResponseStatus` | `getStatus()` Gets the response status for this message.
`void` | `setContent(org.jboss.netty.buffer.ChannelBuffer optionsContent)` Sets an OPTIONS body to this message.
`void` | `setStatus(IcapResponseStatus status)` Sets the response status

Methods inherited from interface ch.mimo.netty.handler.codec.icap.IcapMessage
`addHeader, clearHeaders, containsHeader, containsHttpRequest, containsHttpResponse, getBodyType, getEncapsulatedHeader, getHeader, getHeaderNames, getHeaders, getHeaders, getHttpRequest, getHttpResponse, getPreviewAmount, getProtocolVersion, isPreviewMessage, removeHeader, setBody, setEncapsulatedHeader, setHeader, setHeader, setHttpRequest, setHttpResponse, setProtocolVersion`

Method Detail

### setStatus

    void setStatus(IcapResponseStatus status)

  Sets the response status

  Parameters:
    `status` - @see `IcapResponseStatus` value like 200 OK.

### getStatus

    IcapResponseStatus getStatus()

  Gets the response status for this message.

  Returns:
    the response status as @see `IcapResponseStatus`

### setContent

    void setContent(org.jboss.netty.buffer.ChannelBuffer optionsContent)

  Sets an OPTIONS body to this message.

  Parameters:
    `optionsContent` - @see `ChannelBuffer` containing the body.

### getContent

    org.jboss.netty.buffer.ChannelBuffer getContent()

  Gets an OPTIONS body if present

  Returns:
    @see `ChannelBuffer` or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.